### Hierarchy

- Visitor

## Index

### Methods

- visitAllOperationsAfter
- visitAllOperationsBefore
- visitArgument
- visitArgumentsAfter
- visitArgumentsBefore
- visitDocumentAfter
- visitDocumentBefore
- visitEnum
- visitEnumValue
- visitEnumValuesAfter
- visitEnumValuesBefore
- visitEnumsAfter
- visitEnumsBefore
- visitInterface
- visitInterfaceAfter
- visitInterfaceBefore
- visitNamespace
- visitObject
- visitObjectAfter
- visitObjectBefore
- visitObjectField
- visitObjectFieldsAfter
- visitObjectFieldsBefore
- visitObjectsAfter
- visitObjectsBefore
- visitOperation
- visitOperationAfter
- visitOperationBefore
- visitOperationsAfter
- visitOperationsBefore
- visitRole
- visitRoleAfter
- visitRoleBefore
- visitRolesAfter
- visitRolesBefore

## Methods

### visitAllOperationsAfter

- visitAllOperationsAfter(context: Context): void

- - Defined in src/ast/visitor.ts:209

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitAllOperationsBefore

- visitAllOperationsBefore(context: Context): void

- - Defined in src/ast/visitor.ts:192

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitArgument

- visitArgument(context: Context): void

- - Defined in src/ast/visitor.ts:202

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitArgumentsAfter

- visitArgumentsAfter(context: Context): void

- - Defined in src/ast/visitor.ts:203

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitArgumentsBefore

- visitArgumentsBefore(context: Context): void

- - Defined in src/ast/visitor.ts:201

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitDocumentAfter

- visitDocumentAfter(_context: Context): void

- - Defined in src/ast/visitor.ts:227

  #### Parameters

  - ##### _context: Context

  #### Returns void

### visitDocumentBefore

- visitDocumentBefore(context: Context): void

- - Defined in src/ast/visitor.ts:189

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitEnum

- visitEnum(context: Context): void

- - Defined in src/ast/visitor.ts:221

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitEnumValue

- visitEnumValue(context: Context): void

- - Defined in src/ast/visitor.ts:223

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitEnumValuesAfter

- visitEnumValuesAfter(context: Context): void

- - Defined in src/ast/visitor.ts:224

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitEnumValuesBefore

- visitEnumValuesBefore(context: Context): void

- - Defined in src/ast/visitor.ts:222

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitEnumsAfter

- visitEnumsAfter(context: Context): void

- - Defined in src/ast/visitor.ts:225

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitEnumsBefore

- visitEnumsBefore(context: Context): void

- - Defined in src/ast/visitor.ts:220

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitInterface

- visitInterface(context: Context): void

- - Defined in src/ast/visitor.ts:194

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitInterfaceAfter

- visitInterfaceAfter(context: Context): void

- - Defined in src/ast/visitor.ts:206

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitInterfaceBefore

- visitInterfaceBefore(context: Context): void

- - Defined in src/ast/visitor.ts:193

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitNamespace

- visitNamespace(context: Context): void

- - Defined in src/ast/visitor.ts:190

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitObject

- visitObject(context: Context): void

- - Defined in src/ast/visitor.ts:213

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitObjectAfter

- visitObjectAfter(context: Context): void

- - Defined in src/ast/visitor.ts:217

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitObjectBefore

- visitObjectBefore(context: Context): void

- - Defined in src/ast/visitor.ts:212

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitObjectField

- visitObjectField(context: Context): void

- - Defined in src/ast/visitor.ts:215

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitObjectFieldsAfter

- visitObjectFieldsAfter(context: Context): void

- - Defined in src/ast/visitor.ts:216

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitObjectFieldsBefore

- visitObjectFieldsBefore(context: Context): void

- - Defined in src/ast/visitor.ts:214

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitObjectsAfter

- visitObjectsAfter(context: Context): void

- - Defined in src/ast/visitor.ts:218

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitObjectsBefore

- visitObjectsBefore(context: Context): void

- - Defined in src/ast/visitor.ts:211

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitOperation

- visitOperation(context: Context): void

- - Defined in src/ast/visitor.ts:200

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitOperationAfter

- visitOperationAfter(context: Context): void

- - Defined in src/ast/visitor.ts:204

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitOperationBefore

- visitOperationBefore(context: Context): void

- - Defined in src/ast/visitor.ts:199

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitOperationsAfter

- visitOperationsAfter(context: Context): void

- - Defined in src/ast/visitor.ts:205

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitOperationsBefore

- visitOperationsBefore(context: Context): void

- - Defined in src/ast/visitor.ts:198

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitRole

- visitRole(context: Context): void

- - Defined in src/ast/visitor.ts:197

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitRoleAfter

- visitRoleAfter(context: Context): void

- - Defined in src/ast/visitor.ts:207

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitRoleBefore

- visitRoleBefore(context: Context): void

- - Defined in src/ast/visitor.ts:196

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitRolesAfter

- visitRolesAfter(context: Context): void

- - Defined in src/ast/visitor.ts:208

  #### Parameters

  - ##### context: Context

  #### Returns void

### visitRolesBefore

- visitRolesBefore(context: Context): void

- - Defined in src/ast/visitor.ts:195

  #### Parameters

  - ##### context: Context

  #### Returns void

Generated using TypeDoc